from django.urls import path

from webapp import views

urlpatterns = [
    path('', views.IndexListView.as_view(), name='index'),
    path('add', views.ArticleCreateView.as_view(), name='articles_add'),
    path('<int:id>', views.ArticleDetailView.as_view(), name='articles_detail'),
    path('<int:id>/update', views.ArticleUpdateView.as_view(), name='articles_update'),
    path('<int:id>/delete', views.ArticleDeleteView.as_view(), name='articles_delete'),
    path('<int:article_id>/comments/add', views.CommentCreateView.as_view(), name='comments_add'),
    path(
        '<int:article_id>/comments/<int:comment_id>/update',
        views.CommentUpdateView.as_view(),
        name='comments_update',
    ),
    path(
        '<int:article_id>/comments/<int:comment_id>/delete',
        views.CommentDeleteView.as_view(),
        name='comments_delete',
    ),   
]
